// ChatCView.h : interface of the CChatCView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHATCVIEW_H__2DD93E89_9CC5_11D5_9750_00E07DA18C35__INCLUDED_)
#define AFX_CHATCVIEW_H__2DD93E89_9CC5_11D5_9750_00E07DA18C35__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDialogConnect;
class CChatCDoc;
class CProtocolUnit;
class CClientSock;
class CDialogChange;
class CDialogJoin;
		
class CChatCView : public CFormView
{
protected: // create from serialization only
	CChatCView();
	DECLARE_DYNCREATE(CChatCView)

public:
	//{{AFX_DATA(CChatCView)
	enum { IDD = IDD_CHATC_FORM };
	CButton	m_join_control;
	CListBox	m_nick_list;
	CEdit	m_say_control;
	CString	m_say_edit;
	CString	m_sSaid;
	CString	m_nick_show;
	//}}AFX_DATA

// Attributes
public:
	CChatCDoc* GetDocument();
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChatCView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	UINT m_nPortNb;
	CString m_sServerAddr;
	void WrongNickWasChosen(void);
	void ShowClientNicks(CString& sList);
	virtual ~CChatCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:

	CChatCDoc* m_pDoc;
	//{{AFX_MSG(CChatCView)
	afx_msg void OnHelpButtonClick();
	afx_msg void OnChnickButtonClick();
	afx_msg void OnConnectButtonClick();
	afx_msg void OnWhisperButton();
	afx_msg void OnDisconnectButton();
	afx_msg void OnSayButtonClick();
	afx_msg void OnJoinButtonClick();
	afx_msg void OnByeButtonClick();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ChatCView.cpp
inline CChatCDoc* CChatCView::GetDocument()
   { return (CChatCDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHATCVIEW_H__2DD93E89_9CC5_11D5_9750_00E07DA18C35__INCLUDED_)
