// DialogChange.cpp : implementation file
//

#include "stdafx.h"
#include "ChatC.h"
#include "DialogChange.h"
#include "DialogHelp.h"
#include "ChatCDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogChange dialog


CDialogChange::CDialogChange(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogChange::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogChange)
	m_nick_edit = _T("");
	//}}AFX_DATA_INIT
}


void CDialogChange::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogChange)
	DDX_Text(pDX, IDC_NNICK_EDIT, m_nick_edit);
	DDV_MaxChars(pDX, m_nick_edit, 10);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogChange, CDialog)
	//{{AFX_MSG_MAP(CDialogChange)
	ON_BN_CLICKED(IDC_CANCEL_BUTTON, OnCancelButtonClick)
	ON_BN_CLICKED(IDC_OK_BUTTON, OnOkButtonClick)
	ON_EN_UPDATE(IDC_NNICK_EDIT, OnUpdateNnickEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogChange message handlers

void CDialogChange::OnCancelButtonClick() 
{
	
	EndDialog(IDCANCEL);	
}

void CDialogChange::OnOkButtonClick() 
{
	if (this->m_nick_edit !="")
		EndDialog(IDOK);	
	else
		EndDialog(IDCANCEL);	
}

void CDialogChange::OnUpdateNnickEdit() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function to send the EM_SETEVENTMASK message to the control
	// with the ENM_UPDATE flag ORed into the lParam mask.
	
	CDialogHelp dlg;
	CString bad=" ";
	CString nnickv; //w tej zmiennej new nick 

	int result=1;
	
	while (result)
	{
		if(UpdateData())
		{
			nnickv = m_nick_edit;
			if (!(nnickv.FindOneOf(bad)==-1)) 
			{
				result=1;
				m_nick_edit="";
				UpdateData(FALSE);
				dlg.DoModal();
			}
			else
				result=0;
		}
	};		
}
