// DialogJoin.cpp : implementation file
//

#include "stdafx.h"
#include "ChatC.h"
#include "DialogJoin.h"
#include "DialogHelp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogJoin dialog


CDialogJoin::CDialogJoin(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogJoin::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogJoin)
	m_sNickJoin = _T("");
	//}}AFX_DATA_INIT
}


void CDialogJoin::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogJoin)
	DDX_Control(pDX, IDC_NICK_EDIT, m_nick_control);
	DDX_Text(pDX, IDC_NICK_EDIT, m_sNickJoin);
	DDV_MaxChars(pDX, m_sNickJoin, 10);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogJoin, CDialog)
	//{{AFX_MSG_MAP(CDialogJoin)
	ON_BN_CLICKED(IDC_OK_BUTTON, OnOkButtonClick)
	ON_BN_CLICKED(IDC_CANCEL_BUTTON, OnCancelButtonClick)
	ON_EN_CHANGE(IDC_NICK_EDIT, OnChangeNickEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogJoin message handlers

void CDialogJoin::OnOkButtonClick() 
{
	if (this->m_sNickJoin.GetLength()>0)
		EndDialog(IDOK);
	else 
		EndDialog(IDCANCEL);
	
}

void CDialogJoin::OnCancelButtonClick() 
{
	EndDialog(IDCANCEL);
	
}

void CDialogJoin::OnChangeNickEdit() 
{
	CDialogHelp dlg;
	CString nickv;
	CString bad=" ";
	int result=1;
	while (result)
	{
		if(UpdateData())
		{
			nickv = m_sNickJoin;
			if (!(nickv.FindOneOf(bad)==-1)) 
			{
				result=1;
				m_sNickJoin="";
				UpdateData(FALSE);
				dlg.DoModal();
			}
			else
				result=0;
		}
	};		

	
}

